Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.bluetooth
Class DeviceClass

    java.lang.Object
      javax.bluetooth.DeviceClass

    public class DeviceClass

extends Object

The DeviceClass class represents the class of device (CoD) record as defined by the Bluetooth specification. This record is defined in the Bluetooth Assigned Numbers document and contains information on the type of the device and the type of services available on the device. The Bluetooth Assigned Numbers document ( http://www.bluetooth.org/assigned-numbers/baseband.htm) defines the service class, major device class, and minor device class. The table below provides some examples of possible return values and their meaning: Method Return Value Class of Device getServiceClasses() 0x22000 Networking and Limited Discoverable Major Service Classes getServiceClasses() 0x100000 Object Transfer Major Service Class getMajorDeviceClass() 0x00 Miscellaneous Major Device Class getMajorDeviceClass() 0x200 Phone Major Device Class getMinorDeviceClass() 0x0C With a Computer Major Device Class, Laptop Minor Device Class getMinorDeviceClass() 0x04 With a Phone Major Device Class, Cellular Minor Device Class

Author:
  BB

Constructor Summary
`DeviceClass(int record)`

Method Summary
`int` | `getMajorDeviceClass()` Retrieves the major device class.
`int` | `getMinorDeviceClass()`
`int` | `getServiceClasses()` Retrieves the major service classes.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait`

Constructor Detail

### DeviceClass

    public DeviceClass(int record)

Method Detail

### getServiceClasses

    public int getServiceClasses()

  Retrieves the major service classes. A device may have multiple major service classes. When this occurs, the major service classes are bitwise OR'ed together.

  Returns:
    the major service classes

### getMajorDeviceClass

    public int getMajorDeviceClass()

  Retrieves the major device class. A device may have only a single major device class.

  Returns:
    the major device class

### getMinorDeviceClass

    public int getMinorDeviceClass()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD